#
# spec file for package gnome-keyring-manager (Version 2.12.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-keyring-manager
BuildRequires:  docbook-xsl-stylesheets gnome-doc-utils gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper sgml-skel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Version:        2.12.0
Release:        20.2
URL:            http://gnomesupport.org/wiki/index.php/GNOME%20Keyring%20Manager%20Wiki
Group:          System/GUI/GNOME
License:        GPL
Summary:        GNOME Keyring Password Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.12/%{name}-%{version}.tar.bz2
#Patch:          gkm-desktop.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Keyring Manager is a program that keeps passwords and other
secrets for users. It is run as a daemon in the session, similar to
ssh-agent, and other applications can locate it by an environment
variable.



Authors:
--------
    Fernando Herrera <fherrera@onirica.com>
    Patanjali Somayaji <patanjali@codito.com>
    Duarte Henriques <duarte_henriques@myrealbox.com>
    James Bowes <bowes@cs.dal.ca>
    Michael Watt <mjw@iinet.net.au>
    Caleb Groom  <caleb@calebgroom.com>
    Claudio Saavedra <csaavedra@alumnos.utalca.cl>

%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME Keyring Password Manager
Requires:       %{name} = %{version} glib2-devel

%description devel
GNOME Keyring Manager is a program that keeps passwords and other
secrets for users. It is run as a daemon in the session, similar to
ssh-agent, and other applications can locate it by an environment
variable.



Authors:
--------
    Fernando Herrera <fherrera@onirica.com>
    Patanjali Somayaji <patanjali@codito.com>
    Duarte Henriques <duarte_henriques@myrealbox.com>
    James Bowes <bowes@cs.dal.ca>
    Michael Watt <mjw@iinet.net.au>
    Caleb Groom  <caleb@calebgroom.com>
    Claudio Saavedra <csaavedra@alumnos.utalca.cl>

%prep
%setup
#%patch

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{prefix} \
    --sysconfdir=%sysconfdir \
    --libdir=%{prefix}/%{_lib} \
    --libexecdir=%{prefix}/lib/%{name} \
    --mandir=%{_mandir} \
    --disable-scrollkeeper
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
#hack until xdg-menu gets fixed in brp-desktop.menus
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/48x48/apps
cp %{prefix}/share/icons/hicolor/48x48/stock/generic/stock_keyring.png $RPM_BUILD_ROOT/opt/gnome/share/icons/hicolor/48x48/apps/
#end hack
%suse_update_desktop_file -G "Key Management Tool" -r gnome-keyring-manager GNOME X-SuSE-ControlCenter-Personal

%clean
rm -rf $RPM_BUILD_ROOT

%post
opt/gnome/bin/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-keyring-manager.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/*
/etc/opt/gnome/gconf/schemas/gnome-keyring-manager.schemas
%{_mandir}/man1/gnome-keyring-manager.1.gz
%{prefix}/share/applications/gnome-keyring-manager.desktop
%{prefix}/share/gnome-keyring-manager
%{prefix}/share/icons/hicolor/48x48/apps/stock_keyring.png
%{prefix}/share/omf/gnome-keyring-manager

%changelog -n gnome-keyring-manager
* Fri Mar 31 2006 - sreeves@suse.de
- Update .desktop file to only use valid categories and move to the Control Center
  See
  https://bugzilla.novell.com/show_bug.cgi?id=129432
  https://bugzilla.novell.com/show_bug.cgi?id=159780
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 2.12.0 (GNOME 2.12).
* Wed Aug 24 2005 - gekker@suse.de
- Update to version 2.11.92
* Tue Jul 26 2005 - gekker@suse.de
- Initial import into autobuild version 2.11.1
